Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uky.kcr.recordlinkage.configuration
Class AbstractLinkageConfiguration

    java.lang.Object
      edu.uky.kcr.recordlinkage.configuration.AbstractLinkageConfiguration

All Implemented Interfaces:
  LinkageConfiguration

Direct Known Subclasses:
  XmlLinkageConfiguration

    public class AbstractLinkageConfiguration

extends java.lang.Object
implements LinkageConfiguration

Constructor Summary
`AbstractLinkageConfiguration()`

Method Summary
`java.util.List<BlockingConfiguration>` | `getBlockingConfigurationList()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getDelegateMap()`
`java.lang.String` | `getLinkageEngineClassName()`
`java.util.List<MatchingConfiguration>` | `getMatchingConfigurationList()`
`java.lang.Float` | `getNegativeMatchCutoffScore()`
`java.lang.Float` | `getPositiveMatchCutoffScore()`
`void` | `setLinkageEngineClassName(java.lang.String linkageEngineClassName)`
`void` | `setNegativeMatchCutoffScore(java.lang.Float negativeMatchCutoffScore)`
`void` | `setPositiveMatchCutoffScore(java.lang.Float positiveMatchCutoffScore)`
`void` | `setUseSecondaryDataSourceForUnmatchedRecords(boolean useSecondaryDataSourceForUnmatchedRecords)`
`boolean` | `useSecondaryDataSourceForUnmatchedRecords()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLinkageConfiguration

    public AbstractLinkageConfiguration()

Method Detail

### getDelegateMap

    public java.util.Map<java.lang.String,java.lang.Object> getDelegateMap()

  Specified by:
    `getDelegateMap` in interface `LinkageConfiguration`
  Returns:
    Map of named delegate objects for internal use by a LinkageEngine during setup or runtime

### getBlockingConfigurationList

    public java.util.List<BlockingConfiguration> getBlockingConfigurationList()

  Specified by:
    `getBlockingConfigurationList` in interface `LinkageConfiguration`
  Returns:
    A list of BlockingConfiguration objects that will be used to limit the number of records used from a LinkageDataSource.

### getMatchingConfigurationList

    public java.util.List<MatchingConfiguration> getMatchingConfigurationList()

  Specified by:
    `getMatchingConfigurationList` in interface `LinkageConfiguration`
  Returns:
    A list of MatchingConfiguration objects that will be used by a `LinkageEngine` to match records.

### getPositiveMatchCutoffScore

    public java.lang.Float getPositiveMatchCutoffScore()

  Specified by:
    `getPositiveMatchCutoffScore` in interface `LinkageConfiguration`
  Returns:
    The lowest score value for a LinkageMatch to be considered a positive match.

### setPositiveMatchCutoffScore

    public void setPositiveMatchCutoffScore(java.lang.Float positiveMatchCutoffScore)

### getNegativeMatchCutoffScore

    public java.lang.Float getNegativeMatchCutoffScore()

  Specified by:
    `getNegativeMatchCutoffScore` in interface `LinkageConfiguration`
  Returns:
    The lowest score value for a LinkageMatch to be considered an indeterminate match if the score is less than the value returned by `LinkageConfiguration.getNegativeMatchCutoffScore()`

### setNegativeMatchCutoffScore

    public void setNegativeMatchCutoffScore(java.lang.Float negativeMatchCutoffScore)

### getLinkageEngineClassName

    public java.lang.String getLinkageEngineClassName()

  Specified by:
    `getLinkageEngineClassName` in interface `LinkageConfiguration`
  Returns:
    The class name of a `LinkageEngine`. Used by a `LinkageController` to create and initialize a `LinkageEngine` instance.

### setLinkageEngineClassName

    public void setLinkageEngineClassName(java.lang.String linkageEngineClassName)

### setUseSecondaryDataSourceForUnmatchedRecords

    public void setUseSecondaryDataSourceForUnmatchedRecords(boolean useSecondaryDataSourceForUnmatchedRecords)

### useSecondaryDataSourceForUnmatchedRecords

    public boolean useSecondaryDataSourceForUnmatchedRecords()

  Specified by:
    `useSecondaryDataSourceForUnmatchedRecords` in interface `LinkageConfiguration`
  Returns:
    true if the secondary data source should be used for unmatched records, otherwise unmatched records will be from the primary data source. The default behavior should be true.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD